Package ru.bgcrm.model.param

# Class ParameterPhoneValue

java.lang.Object
ru.bgcrm.model.param.ParameterPhoneValue

public class ParameterPhoneValue extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ParameterPhoneValue()`
  `ParameterPhoneValue(List<ParameterPhoneValueItem> items)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(ParameterPhoneValue parameterPhoneValue)`
  Deprecated.
  `void`
  `addItem(ParameterPhoneValueItem item)`
  Adds a single number.
  `void`
  `addItems(List<ParameterPhoneValueItem> itemList)`
  Adds numbers to the existing list with duplicates protection.
  `boolean`
  `equals(Object obj)`
  `List<ParameterPhoneValueItem>`
  `getItemList()`
  `String`
  `getValue()`
  Deprecated.
  `int`
  `hashCode()`
  `void`
  `setItemList(List<ParameterPhoneValueItem> itemList)`
  Sets number list.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ParameterPhoneValue

    public ParameterPhoneValue()

  - ### ParameterPhoneValue

    public ParameterPhoneValue(List<ParameterPhoneValueItem> items)

- ## Method Details

  - ### getItemList

    public List<ParameterPhoneValueItem> getItemList()
    Returns:
      number list.

  - ### setItemList

    public void setItemList(List<ParameterPhoneValueItem> itemList)
    Sets number list.
    Parameters:
      `itemList` -

  - ### addItems

    public void addItems(List<ParameterPhoneValueItem> itemList)
    Adds numbers to the existing list with duplicates protection.
    Parameters:
      `itemList` -

  - ### addItem

    public void addItem(ParameterPhoneValueItem item)
    Adds a single number.
    Parameters:
      `item` -

  - ### add

    @Deprecated public void add(ParameterPhoneValue parameterPhoneValue)
    Deprecated.
    Use `addItem(ParameterPhoneValueItem)`.

  - ### getValue

    @Deprecated public String getValue()
    Deprecated.
    Use `toString()`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`
    Returns:
      formatted comma separated string with phone numbers.

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`